summaryrefslogtreecommitdiff
path: root/tests/misc/help-version.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2013-02-28 02:07:28 +0000
committerPádraig Brady <P@draigBrady.com>2013-02-28 11:03:01 +0000
commit8b6d3c5700526f962b12cd5901b55961c5e18186 (patch)
treef1a0192a72f83f27411c9ff255eac5aca38cc21f /tests/misc/help-version.sh
parent8682142ff2662fbdb77ea0bdaa53ca9e6542c54a (diff)
downloadcoreutils-8b6d3c5700526f962b12cd5901b55961c5e18186.tar.xz
doc: move some info from all --help messages, online
* src/system.h (emit_ancillary_info): Link to the bug report email addresses and general help URLs online rather than specifying directly. This give us greater scope to present better info like describing the difference between bug-coreutils@gnu.org and coreutils@gnu.org etc. * tests/misc/help-version.sh: Remove the check for bug-coreutils@gnu.org * tests/local.mk: Remove the no longer needed PACKAGE_BUGREPORT.
Diffstat (limited to 'tests/misc/help-version.sh')
-rwxr-xr-xtests/misc/help-version.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/tests/misc/help-version.sh b/tests/misc/help-version.sh
index 00f30cd02..1a79488f4 100755
--- a/tests/misc/help-version.sh
+++ b/tests/misc/help-version.sh
@@ -87,13 +87,9 @@ for lang in C fr da; do
test $i = install && i=ginstall
# Make sure they exit successfully, under normal conditions.
- env $i --help > h-$i || fail=1
+ env $i --help >/dev/null || fail=1
env $i --version >/dev/null || fail=1
- # Make sure they mention the bug-reporting address in --help output.
- grep "$PACKAGE_BUGREPORT" h-$i > /dev/null || fail=1
- rm -f h-$i
-
# Make sure they fail upon 'disk full' error.
if test -w /dev/full && test -c /dev/full; then
env $i --help >/dev/full 2>/dev/null && fail=1